## Install

## Server side

```bash
npm install do-translate
```

## Usage

```js
var Translator = require('do-translate').Translator;
```
### With NoopProvider for testing

```js
var noopTranslator = new Translator('noop');

noopTranslator.lookup('sample', 'ru', 'en')
    .then(function(result) {
        // "sample_en-ru" from request
        return noopTranslator.lookup('sample', 'ru', 'en');
    })
    .then(function(result) {
        // "sample_en-ru" from cache (should resolve faster)
    })
    .catch(function(error) {
        // debug error here
    })
;
```

### With Google Translate

```js
var googleTranslator = new Translator('google', 'google-key', 'google-uri');

googleTranslator.lookup('sample', 'ru', 'en')
    .then(function(result) {
        // "образец" from request
        return googleTranslator.lookup('sample', 'ru', 'en');
    })
    .then(function(result) {
        // "образец" from cache (should resolve faster)
    })
    .catch(function(error) {
        // debug error here
    })
;
```

### With Yandex Translate

```js
var yandexTranslator = new Translator('yandex', 'yandex-key', 'yandex-uri');

yandexTranslator.lookup('sample', 'ru', 'en')
    .then(function(result) {
        // "образец" from request
        return yandexTranslator.lookup('sample', 'ru', 'en');
    })
    .then(function(result) {
        // "образец" from cache (should resolve faster)
    })
    .catch(function(error) {
        // debug error here
    })
;
```
